Bug 1122494 - Creating condition(row-based security) on table creates also masking
Summary: Creating condition(row-based security) on table creates also masking
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling
Version: 6.0.0
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ER4
: 6.1.0
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 11:36 UTC by Matus Makovy
Modified: 2015-11-17 18:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When the user created a condition on a table, Teiid Designer also creates masking for that table. This masking was blank and had no effect, but Designer showed it in the Edit VDB Data Role dialogue. The masking was not added in vdb.xml. This was resolved by a code change.
Clone Of:
Environment:
Last Closed: 2015-11-17 18:05:12 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2261 Major Closed Creating condition(row-based security) on table creates also masking 2014-11-17 16:25:40 UTC

Description Matus Makovy 2014-07-23 11:36:48 UTC
When I create condition on table, Teiid Designer also creates masking for that table. This masking is blank and has no effect, but Designer shows it in the Edit VDB Data Role dialogue.

The masking isn't added in vdb.xml
(screenshots)

JBDS 7.1.1.GA + Teiid Designer 8.3.3 Final

Comment 1 JBoss JIRA Server 2014-07-23 19:16:58 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2261 to Resolved

Comment 2 JBoss JIRA Server 2014-08-28 09:16:57 UTC
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-2261 to Reopened

Comment 3 JBoss JIRA Server 2014-08-29 13:39:45 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2261 to Resolved

Comment 4 JBoss JIRA Server 2014-11-17 16:25:42 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2261 to Closed


Note You need to log in before you can comment on or make changes to this bug.